# ApplicationFramework
TKPShape
PColgp

# PColgp_VArrayNodeOfFieldOfHArray2OfXY Class Reference

`#include <PColgp_VArrayNodeOfFieldOfHArray2OfXY.hxx>`

Inheritance diagram for PColgp_VArrayNodeOfFieldOfHArray2OfXY:

[legend]

## Public Member Functions

Standard_EXPORT | PColgp_VArrayNodeOfFieldOfHArray2OfXY ()
Standard_EXPORT | PColgp_VArrayNodeOfFieldOfHArray2OfXY (const gp_XY &aValue)
Standard_EXPORT void | SetValue (const gp_XY &aValue)
Standard_EXPORT Standard_Address | Value () const
| PColgp_VArrayNodeOfFieldOfHArray2OfXY (const Storage_stCONSTclCOM &a)
const gp_XY & | _CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray2OfXYmyValue () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

gp_XY | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_VArrayNodeOfFieldOfHArray2OfXY::PColgp_VArrayNodeOfFieldOfHArray2OfXY | ( |  | ) |

Standard_EXPORT PColgp_VArrayNodeOfFieldOfHArray2OfXY::PColgp_VArrayNodeOfFieldOfHArray2OfXY | ( | const gp_XY & | aValue | ) |

PColgp_VArrayNodeOfFieldOfHArray2OfXY::PColgp_VArrayNodeOfFieldOfHArray2OfXY | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_XY& PColgp_VArrayNodeOfFieldOfHArray2OfXY::_CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray2OfXYmyValue | ( |  | ) | const`[inline]`

Standard_EXPORT const PColgp_VArrayNodeOfFieldOfHArray2OfXY::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void PColgp_VArrayNodeOfFieldOfHArray2OfXY::SetValue | ( | const gp_XY & | aValue | ) |

Standard_EXPORT Standard_Address PColgp_VArrayNodeOfFieldOfHArray2OfXY::Value | ( |  | ) | const

## Field Documentation

gp_XY PColgp_VArrayNodeOfFieldOfHArray2OfXY::myValue `[private]`

The documentation for this class was generated from the following file:

- PColgp_VArrayNodeOfFieldOfHArray2OfXY.hxx